Package twisted :: Package words :: Module tendril :: Class TendrilWords

[frames | no frames]

## Class TendrilWords

    WordsClient --+
                  |
                 TendrilWords

Method Summary
| ``__init__`(self, service, ircFactory, nickname, networkSuffix, perspectiveName, groupList, errorGroup)` service -- a twisted.words.service.Service, or at least something with a 'serviceName' attribute and 'createParticipant' and 'getPerspectiveNamed' methods which work like a words..Service.
| `_getClient(self, nick)`
| ``_getParticipant`(self, nick)` Get a Perspective (words.service.Participant) for a IRC user.
| `_newParticipant(self, nick)`
| `attach(self)`
| ``attachToWords`(self)` Get my perspective on the Words service; attach as a client.
| `changeParticipantNick(self, old_nick, new_nick)`
| ``detach`(self)` Pull everyone off Words, sign off, cut the IRC connection.
| `directMessage(self, recipientName, message)`
| ``evacuateGroup`(self, groupName)` Pull all of my Participants out of this group.
| `groupMessage(self, groupName, message)`
| `ircConnectionLost(self)`
| `ircParticipantMsg(self, nick, groupName, message, emote)`
| `ircPartParticipant(self, nick, groupName)`
| ``isThisMine`(self, sender)` Returns true if 'sender' is the name of a perspective I'm providing.
| `joinGroup(self, groupName)`
| `leaveGroup(self, groupName)`
| `logoutParticipant(self, nick)`
| ``memberJoined`(self, member, group)` Tell the IRC Channel when someone joins the Words group.
| ``memberLeft`(self, member, group)` Tell the IRC Channel when someone leaves the Words group.
| ``msgFromWords`(self, toNick, sender, message, metadata)` Deliver a directMessage as a privmsg over IRC.
| ``receiveGroupMessage`(self, sender, group, message, metadata)` Pass a message from the Words group on to IRC.
| `setIrc(self, ircProtocol)`
| `setupBot(self, perspective)`
Inherited from WordsClient
| ``notifyStatusChanged`(self, name, status)`
| ``receiveContactList`(self, contactList)`
| ``receiveDirectMessage`(self, sender, message, metadata)`
| ``receiveGroupMembers`(self, names, group)`
| ``setGroupMetadata`(self, metadata, name)`

Class Variable Summary
`NoneType` | `irc` = None
`NoneType` | `ircFactory` = None
`str` | `networkSuffix` = `'@opn'`
`str` | `nickname` = `'tl'`
`NoneType` | `participants` = None
`str` | `perspectiveName` = `'tl@opn'`

Method Details

### __init__(self, service, ircFactory, nickname=None, networkSuffix=None, perspectiveName=None, groupList=None, errorGroup=None)
(Constructor)

service -- a twisted.words.service.Service, or at least something with a 'serviceName' attribute and 'createParticipant' and 'getPerspectiveNamed' methods which work like a words..Service.

groupList -- a list of strings naming groups on the Words service to join and bridge to their counterparts on the IRC server.

nickname -- a string to use as my nickname on the IRC network.

networkSuffix -- a string to append to the nickname of the Participants I bring in through IRC, e.g. "@opn".

perspectiveName -- the name of my perspective with this service. Defaults to nickname + networkSuffix.

### _getParticipant(self, nick)

Get a Perspective (words.service.Participant) for a IRC user.

And if I don't have one around, I'll make one.

### attachToWords(self)

Get my perspective on the Words service; attach as a client.

### detach(self)

Pull everyone off Words, sign off, cut the IRC connection.

### evacuateGroup(self, groupName)

Pull all of my Participants out of this group.

### isThisMine(self, sender)

Returns true if 'sender' is the name of a perspective I'm providing.

### memberJoined(self, member, group)

Tell the IRC Channel when someone joins the Words group.

  Overrides:
    `twisted.words.service.WordsClient.memberJoined`

### memberLeft(self, member, group)

Tell the IRC Channel when someone leaves the Words group.

  Overrides:
    `twisted.words.service.WordsClient.memberLeft`

### msgFromWords(self, toNick, sender, message, metadata=None)

Deliver a directMessage as a privmsg over IRC.

### receiveGroupMessage(self, sender, group, message, metadata=None)

Pass a message from the Words group on to IRC.

Or, if it's in our errorGroup, recognize some debugging commands.

  Overrides:
    `twisted.words.service.WordsClient.receiveGroupMessage`

Class Variable Details

### irc

  Type:
    `NoneType`
  Value:

        None

### ircFactory

  Type:
    `NoneType`
  Value:

        None

### networkSuffix

  Type:
    `str`
  Value:

        '@opn'

### nickname

  Type:
    `str`
  Value:

        'tl'

### participants

  Type:
    `NoneType`
  Value:

        None

### perspectiveName

  Type:
    `str`
  Value:

        'tl@opn'

Generated by Epydoc 2.0 on Sat May 15 20:08:40 2004 | http://epydoc.sf.net